package com.link.base.datacomp.controller;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.link.base.datacomp.model.DataComp;
import com.link.base.datacomp.service.DataCompService;
import com.link.core.basic.controller.BasicController;
import com.link.core.basic.service.BasicService;
import com.link.core.basic.service.KeyGenerateService;
import java.util.HashMap;
import java.util.Map;
import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/link/dataCompensate"})
public class DataCompController extends BasicController<DataComp> {
   private static final Logger logger = LogManager.getLogger(DataCompController.class);
   @Resource
   private KeyGenerateService keyGenerateService;
   @Resource
   private DataCompService dataCompService;

   public BasicService<DataComp> getBasicService() throws Exception {
      return this.dataCompService;
   }

   @RequestMapping({"/checkDiffByCache"})
   @ResponseBody
   public Map<String, Object> checkDiffByCache(HttpSession session, HttpServletRequest request, HttpServletResponse response) {
      Map<String, Object> result = new HashMap(8);

      try {
         this.dataCompService.checkDiffByCache();
         result.put("success", true);
      } catch (Exception var6) {
         Exception e = var6;
         logger.error(e.getMessage());
         result.put("success", false);
         result.put("result", e.getMessage());
      }

      return result;
   }

   @RequestMapping({"checkDiffSingle"})
   @ResponseBody
   public Map<String, Object> checkDiffSingle(@RequestParam("jsonObject") String jsonObject, HttpSession session, HttpServletRequest request, HttpServletResponse response) {
      Map<String, Object> result = new HashMap(8);

      try {
         JSONObject jsonObject1 = JSONObject.parseObject(jsonObject);
         String key = jsonObject1.getString("key");
         Map<String, String> paramMap = (Map)JSON.parseObject(jsonObject1.getString("paramMap"), HashMap.class);
         String inputFileds = jsonObject1.getString("inputFields");
         DataComp dataComp = this.dataCompService.checkDiffSingle(key, paramMap, inputFileds);
         result.put("success", true);
         result.put("result", dataComp);
      } catch (Exception var11) {
         Exception e = var11;
         logger.error(e.getMessage());
         result.put("success", false);
         result.put("result", e.getMessage());
      }

      return result;
   }
}
